///////////////////////////////////////////////////
// DIPSwitchTest.cpp
// part of
// DIPSwitch
// 720020-1178x
//
// Applied Data Systems
//
// See DIPSwitch.h for a description and history
// 
///////////////////////////////////////////////////
#include <windows.h>
#include "DIPSwitch.h"

// Define 1 for BitsyX and 0 for BitsyXb
#define BITSYX 0

int WINAPI WinMain(	HINSTANCE hInstance,
				   HINSTANCE hPrevInstance,
				   LPTSTR    lpCmdLine,
				   int       nCmdShow)
{
	DEBUGMSG(TRUE, (_T("+WinMain\r\n")));
	
#if (BITSYX == 1)
	BitsyXSwitch *dip = new BitsyXSwitch();
#else
	BitsyXbSwitch *dip = new BitsyXbSwitch();
#endif

	for(int i = 0 ; i < 20 ; i++)
	{
		RETAILMSG(TRUE, (_T("Switches = 0x%x\r"), dip->ReadSwitches()));
		Sleep(1000);
	}

	RETAILMSG(TRUE, (_T("\r\n")));

	DEBUGMSG(TRUE, (_T("-WinMain\r\n")));
	return 0;
}